MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000321XdebugUsage problems (Wrong Results)public2007-10-22 11:132007-10-29 20:00
Reporterzaa 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionopen 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version 
Summary0000321: PHP segfault with xdebug 2.0.1
DescriptionAs you know PHPUnit 3.x uses xdebug for code coverage.
Xdebug 2.0.0 works perfectly for such purposes, but we started to get segmentation faults after I've installed xdebug 2.0.1 version instead of 2.0.0.

==========================================================
gdb `which php` php.core
GNU gdb 6.1.1 [FreeBSD]
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "i386-marcel-freebsd"...
Core was generated by `php'.
Program terminated with signal 11, Segmentation fault.
Reading symbols from /lib/libcrypt.so.2...done.
Loaded symbols for /lib/libcrypt.so.2
Reading symbols from /usr/local/lib/libmcrypt.so.8...done.
Loaded symbols for /usr/local/lib/libmcrypt.so.8
Reading symbols from /usr/local/lib/libltdl.so.4...done.
Loaded symbols for /usr/local/lib/libltdl.so.4
Reading symbols from /usr/local/lib/libintl.so.8...done.
Loaded symbols for /usr/local/lib/libintl.so.8
Reading symbols from /usr/local/lib/libgd.so.4...done.
Loaded symbols for /usr/local/lib/libgd.so.4
Reading symbols from /usr/local/lib/libpng.so.5...done.
Loaded symbols for /usr/local/lib/libpng.so.5
Reading symbols from /lib/libz.so.2...done.
Loaded symbols for /lib/libz.so.2
Reading symbols from /usr/local/lib/libjpeg.so.9...done.
Loaded symbols for /usr/local/lib/libjpeg.so.9
Reading symbols from /usr/lib/libssl.so.3...done.
Loaded symbols for /usr/lib/libssl.so.3
Reading symbols from /lib/libcrypto.so.3...done.
Loaded symbols for /lib/libcrypto.so.3
Reading symbols from /usr/lib/libbz2.so.1...done.
Loaded symbols for /usr/lib/libbz2.so.1
Reading symbols from /lib/libm.so.3...done.
Loaded symbols for /lib/libm.so.3
Reading symbols from /usr/local/lib/libcurl.so.4...done.
Loaded symbols for /usr/local/lib/libcurl.so.4
Reading symbols from /usr/local/lib/libxml2.so.5...done.
Loaded symbols for /usr/local/lib/libxml2.so.5
Reading symbols from /usr/local/lib/libiconv.so.3...done.
Loaded symbols for /usr/local/lib/libiconv.so.3
Reading symbols from /lib/libc.so.5...done.
Loaded symbols for /lib/libc.so.5
Reading symbols from /usr/local/lib/libfreetype.so.9...done.
Loaded symbols for /usr/local/lib/libfreetype.so.9
Reading symbols from /u/zaa/opt/lib/php/extensions/no-debug-non-zts-20060613/xdebug.201.so...done.
Loaded symbols for /u/zaa/opt/lib/php/extensions/no-debug-non-zts-20060613/xdebug.201.so
Reading symbols from /u/zaa/opt/lib/php/extensions/no-debug-non-zts-20060613/mysql.so...done.
Loaded symbols for /u/zaa/opt/lib/php/extensions/no-debug-non-zts-20060613/mysql.so
Reading symbols from /usr/local/mysql-5.0/lib/mysql/libmysqlclient.so.15...done.
Loaded symbols for /usr/local/mysql-5.0/lib/mysql/libmysqlclient.so.15
Reading symbols from /libexec/ld-elf.so.1...done.
Loaded symbols for /libexec/ld-elf.so.1
#0 0x28997a61 in xdebug_set_in_ex (set=0x8e77310, position=54543306, noisy=1) at /u/zaa/dev/xdebug-2.0.1/xdebug_set.c:72
72 return (*byte & (1 << bit));
(gdb) list
67 unsigned int bit;
68
69 byte = &(set->setinfo[position / 8]);
70 bit = position % 8;
71
72 return (*byte & (1 << bit));
73 }
(gdb) bt
#0 0x28997a61 in xdebug_set_in_ex (set=0x8e77310, position=54543306, noisy=1) at /u/zaa/dev/xdebug-2.0.1/xdebug_set.c:72
#1 0x2898764d in xdebug_analyse_branch (opa=0x8eac720, position=54543306, set=0x8e77310) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:167
0000002 0x289876c3 in xdebug_analyse_branch (opa=0x8eac720, position=13, set=0x8e77310) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:185
0000003 0x289876a5 in xdebug_analyse_branch (opa=0x8eac720, position=8, set=0x8e77310) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:183
0000004 0x2898782f in prefill_from_oparray (fn=0x8e842e0 "/u/zaa/public_html/e5/include/external/MDB2/Driver/mysql.php", opa=0x8eac720) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:246
0000005 0x28987974 in prefill_from_function_table (opa=0x8eac720, num_args=1, args=0xbfbf6c30 "хl©©\b", hash_key=0xbfbf6bf0) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:268
0000006 0x082616c2 in zend_hash_apply_with_arguments (ht=0x8e87930, apply_func=0x28987924 <prefill_from_function_table>, num_args=1) at /u/zaa/dev/php-5.2.4/Zend/zend_hash.c:729
0000007 0x289879ee in prefill_from_class_table (class_entry=0x8c2178c, num_args=1, args=0xbfbf6ca0 "<Ёи\b@e\232(Ьl©©m4\230(", hash_key=0xbfbf6c60) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:295
0000008 0x082616c2 in zend_hash_apply_with_arguments (ht=0x83b3140, apply_func=0x28987984 <prefill_from_class_table>, num_args=1) at /u/zaa/dev/php-5.2.4/Zend/zend_hash.c:729
0000009 0x28987a7c in xdebug_prefill_code_coverage (op_array=0x8a90a00) at /u/zaa/dev/xdebug-2.0.1/xdebug_code_coverage.c:312
0000010 0x2898346d in xdebug_execute (op_array=0x8a90a00) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1489
0000011 0x0824c8ca in zend_call_function (fci=0xbfbf6de0, fci_cache=0x0) at /u/zaa/dev/php-5.2.4/Zend/zend_execute_API.c:990
0000012 0x0824d634 in call_user_function_ex (function_table=0x94b0b79, object_pp=0x94b0b79, function_name=0x94b0b79, retval_ptr_ptr=0x94b0b79, param_count=155913081, params=0x94b0b79, no_separation=155913081,
    symbol_table=0x94b0b79) at /u/zaa/dev/php-5.2.4/Zend/zend_execute_API.c:617
0000013 0x082584ba in zend_error (type=2048, format=0x836d530 "Assigning the return value of new by reference is deprecated") at /u/zaa/dev/php-5.2.4/Zend/zend.c:1041
0000014 0x0823aa3b in zendparse () at /u/zaa/dev/php-5.2.4/Zend/zend_language_parser.c:3869
0000015 0x0823f041 in compile_file (file_handle=0xbfbf8490, type=2) at /u/zaa/dev/php-5.2.4/Zend/zend_language_scanner.c:3420
0000016 0x289856e2 in xdebug_compile_file (file_handle=0xbfbf8490, type=2) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:2341
0000017 0x082887f7 in ZEND_INCLUDE_OR_EVAL_SPEC_VAR_HANDLER (execute_data=0xbfbf8750) at zend_vm_execute.h:7688
0000018 0x08271f35 in execute (op_array=0x8c9b33c) at zend_vm_execute.h:92
0000019 0x28983530 in xdebug_execute (op_array=0x8c9b33c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000020 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbf8b10) at zend_vm_execute.h:234
0000021 0x08271f35 in execute (op_array=0x8c9f40c) at zend_vm_execute.h:92
0000022 0x28983530 in xdebug_execute (op_array=0x8c9f40c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000023 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbf8dc0) at zend_vm_execute.h:234
0000024 0x08271f35 in execute (op_array=0x8c9b540) at zend_vm_execute.h:92
0000025 0x28983530 in xdebug_execute (op_array=0x8c9b540) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000026 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbf92f0) at zend_vm_execute.h:234
0000027 0x08271f35 in execute (op_array=0x885dde0) at zend_vm_execute.h:92
0000028 0x28983530 in xdebug_execute (op_array=0x885dde0) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000029 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbf97e0) at zend_vm_execute.h:234
0000030 0x08271f35 in execute (op_array=0x892b69c) at zend_vm_execute.h:92
0000031 0x28983530 in xdebug_execute (op_array=0x892b69c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000032 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfa050) at zend_vm_execute.h:234
0000033 0x08271f35 in execute (op_array=0x85e1108) at zend_vm_execute.h:92
0000034 0x28983530 in xdebug_execute (op_array=0x85e1108) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
#35 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfa230) at zend_vm_execute.h:234
0000036 0x08271f35 in execute (op_array=0x892b5d4) at zend_vm_execute.h:92
0000037 0x28983530 in xdebug_execute (op_array=0x892b5d4) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000038 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfa3b0) at zend_vm_execute.h:234
0000039 0x08271f35 in execute (op_array=0x868a070) at zend_vm_execute.h:92
0000040 0x28983530 in xdebug_execute (op_array=0x868a070) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000041 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfa940) at zend_vm_execute.h:234
0000042 0x08271f35 in execute (op_array=0x868b15c) at zend_vm_execute.h:92
0000043 0x28983530 in xdebug_execute (op_array=0x868b15c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000044 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfaed0) at zend_vm_execute.h:234
0000045 0x08271f35 in execute (op_array=0x868b15c) at zend_vm_execute.h:92
0000046 0x28983530 in xdebug_execute (op_array=0x868b15c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000047 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfb460) at zend_vm_execute.h:234
0000048 0x08271f35 in execute (op_array=0x868b15c) at zend_vm_execute.h:92
#49 0x28983530 in xdebug_execute (op_array=0x868b15c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000050 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfc6f0) at zend_vm_execute.h:234
#51 0x08271f35 in execute (op_array=0x871090c) at zend_vm_execute.h:92
0000052 0x28983530 in xdebug_execute (op_array=0x871090c) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000053 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfc9a0) at zend_vm_execute.h:234
0000054 0x08271f35 in execute (op_array=0x8710684) at zend_vm_execute.h:92
0000055 0x28983530 in xdebug_execute (op_array=0x8710684) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000056 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfcb60) at zend_vm_execute.h:234
0000057 0x08271f35 in execute (op_array=0x83c1d50) at zend_vm_execute.h:92
0000058 0x28983530 in xdebug_execute (op_array=0x83c1d50) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000059 0x08272181 in zend_do_fcall_common_helper_SPEC (execute_data=0xbfbfd120) at zend_vm_execute.h:234
0000060 0x08271f35 in execute (op_array=0x83c16fc) at zend_vm_execute.h:92
0000061 0x28983530 in xdebug_execute (op_array=0x83c16fc) at /u/zaa/dev/xdebug-2.0.1/xdebug.c:1509
0000062 0x08258da1 in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /u/zaa/dev/php-5.2.4/Zend/zend.c:1134
0000063 0x08220c35 in php_execute_script (primary_file=0xbfbfe8e0) at /u/zaa/dev/php-5.2.4/main/main.c:1982
0000064 0x082d339a in main (argc=2, argv=0xbfbfe978) at /u/zaa/dev/php-5.2.4/sapi/cli/php_cli.c:1140
Additional Information# uname -mrs
FreeBSD 5.4-STABLE i386
# php -i
phpinfo()
PHP Version => 5.2.4

System => FreeBSD ******.****.******** 5.4-STABLE FreeBSD 5.4-STABLE 0000014: Fri Jun 2 11:25:23 MSD 2006 root@************:/usr/obj/usr/src/sys/PIPHIA i386
Build Date => Sep 18 2007 11:42:18
Configure Command => './configure' '--prefix=/u/zaa/opt' '--with-gd=/usr/local' '--with-bz2' '--with-zlib' '--enable-bcmath' '--with-openssl=/usr' '--with-jpeg-dir=/usr/local' '--with-png-dir=/usr/local' '--wit
h-gettext' '--with-xml' '--enable-cgi' '--enable-memory-limit' '--with-curl' '--enable-ftp' '--with-mcrypt' '--with-iconv=/usr/local'
Server API => Command Line Interface
Virtual Directory Support => disabled
Configuration File (php.ini) Path => /u/zaa/opt/lib
Loaded Configuration File => /u/zaa/opt/lib/php.ini
PHP API => 20041225
PHP Extension => 20060613
Zend Extension => 220060519
Debug Build => no
Thread Safety => disabled
Zend Memory Manager => enabled
IPv6 Support => enabled
Registered PHP Streams => php, file, data, http, ftp, compress.bzip2, compress.zlib, https, ftps
Registered Stream Socket Transports => tcp, udp, unix, udg, ssl, sslv3, sslv2, tls
Registered Stream Filters => string.rot13, string.toupper, string.tolower, string.strip_tags, convert.*, consumed, convert.iconv.*, bzip2.*, zlib.*


This program makes use of the Zend Scripting Language Engine:
Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
    with Xdebug v2.0.0, Copyright (c) 2002, 2003, 2004, 2005, 2006, 2007, by Derick Rethans
========================================================
# php -m
[PHP Modules]
bcmath
bz2
ctype
curl
date
dom
filter
ftp
gd
gettext
hash
iconv
json
libxml
mcrypt
mysql
openssl
pcre
PDO
pdo_sqlite
posix
Reflection
session
SimpleXML
SPL
SQLite
standard
tokenizer
xdebug
xml
xmlreader
xmlwriter
zlib

[Zend Modules]
Xdebug
===========================================================
TagsNo tags attached.
Operating System
PHP Version5.2-dev
Attached Files

- Relationships

-  Notes
(0000749)
zaa (reporter)
2007-10-22 11:25

Just read http://bugs.php.net/bugs-generating-backtrace.php. [^]
Here is output:

(gdb) frame 18
0000018 0x08271f35 in execute (op_array=0x8c9b33c) at zend_vm_execute.h:92
92 if (EX(opline)->handler(&execute_data TSRMLS_CC) > 0) {
(gdb) print (char *)(executor_globals.function_state_ptr->function)->common.function_name
$1 = 0x8a835dc "x_log_error_handler"
(gdb)
(0000750)
rwilczek (reporter)
2007-10-22 11:46
edited on: 2007-10-22 11:50

Same here for kernel
2.6.18.8-0.5-default #1 SMP Fri Jun 22 12:17:53 UTC 2007 x86_64 x86_64 x86_64 GNU/Linux
and PHP 5.2.0 with Suhosin-Patch 0.9.6.1 (cli)

Reported on phpunit.de too:
http://www.phpunit.de/ticket/234 [^]

edited on: 2007-10-22 11:50
(0000753)
mhorvath (reporter)
2007-10-22 19:15

Same here for kernel
2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64
and PHP 5.2.4 with Suhosin Patch 0.9.6.2
(0000754)
derick (administrator)
2007-10-22 21:44

Is there a small reproducable case somewhere?
(0000755)
rwilczek (reporter)
2007-10-22 21:53

Sure ...

<?php
class Test extends PHPUnit_Framework_TestCase
{
    public function testSomething()
    {
        $this->assertTrue(true);
    }
}
?>


phpunit "Test" ./"Test.php"
PHPUnit 3.2.0beta7 by Sebastian Bergmann.

.

Time: 0 seconds


OK (1 test)
---------------------

phpunit --report myDir "Test" ./"Test.php"
PHPUnit 3.2.0beta7 by Sebastian Bergmann.

Speicherzugriffsfehler // segfault in German
(0000756)
mediaboy (reporter)
2007-10-23 01:19

I haven't done the backtrack to see where it blows up exactly, but I'm seeing the same symptoms on my machine:
Kubuntu gutsy gibbon
$ uname -mrs
Linux 2.6.22-14-generic i686
$ php -v
PHP 5.2.3-1ubuntu6 (cli) (built: Oct 4 2007 23:35:54)
Copyright (c) 1997-2007 The PHP Group
Zend Engine v2.2.0, Copyright (c) 1998-2007 Zend Technologies
(0000760)
derick (administrator)
2007-10-25 22:51

I might just have fixed this in CVS... could you please try?
(0000774)
derick (administrator)
2007-10-28 14:14

Reminder sent to jdickey, mediaboy, mhorvath, rwilczek, zaa

I might just have fixed this in CVS... could you please try?
(0000779)
mhorvath (reporter)
2007-10-29 13:44

Yes, seems to be (partly) fixed ... Unit Tests run fine ... but now we get a segfault when PHPUnit wants to access the coverage data ... still need to get a core file ... will attach it soon ...


--- snipp ---
  Phoenix Unit Tests - Modules - User
   UnitTests_Modules_User_Models_ApiTest
   ..............


Time: 8 seconds


OK (735 tests)

Segmentation fault
Writing code coverage data to XML file, this may take a moment.

--- snipp ---
(0000780)
mediaboy (reporter)
2007-10-29 16:17

With cvs checkout made at 2007-10-29 8:55AM MDT things are working correctly for me.
(0000781)
mhorvath (reporter)
2007-10-29 18:58

Things still crash ... it's been kinda hard to get gdb to debug this, but here wre are now:

--- snip ---
Writing code coverage data to XML file, this may take a moment.
Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 47579659280944 (LWP 15834)]
0x00002b4600d3aa2b in prefill_from_oparray (fn=0x4a96990 "/data/bamboo/build-dir/PHX-TRUNK/Modules/Microblog/Configurations/ClassRegister.php", opa=0x4a979d0)
    at /usr/local/src/xdebug/xdebug_code_coverage.c:237
237 if (opa->opcodes[opa->size - 4].opcode == ZEND_RAISE_ABSTRACT_ERROR)
(gdb) bt
#0 0x00002b4600d3aa2b in prefill_from_oparray (fn=0x4a96990 "/data/bamboo/build-dir/PHX-TRUNK/Modules/Microblog/Configurations/ClassRegister.php", opa=0x4a979d0)
    at /usr/local/src/xdebug/xdebug_code_coverage.c:237
#1 0x00002b4600d3ae60 in xdebug_prefill_code_coverage (op_array=0x4a979d0) at /usr/local/src/xdebug/xdebug_code_coverage.c:308
0000002 0x00002b4600d38016 in xdebug_compile_file (file_handle=0x7fffad643be0, type=2) at /usr/local/src/xdebug/xdebug.c:2427
0000003 0x00002b4600b1bc05 in xc_compile_file (h=0x7fffad643be0, type=2) at /usr/local/src/xcache-1.2.1/xcache.c:952
0000004 0x0000000000804f5f in ZEND_INCLUDE_OR_EVAL_SPEC_CV_HANDLER (execute_data=0x7fffad6446f0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:19751
0000005 0x00000000007c02e6 in execute (op_array=0xf29f10) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000006 0x00002b4600d356d2 in xdebug_execute (op_array=0xf29f10) at /usr/local/src/xdebug/xdebug.c:1534
0000007 0x00002b460118abdd in suhosin_execute_ex (op_array=0xf29f10, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000008 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fffad644af0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000009 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fffad644af0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000010 0x00000000007c02e6 in execute (op_array=0x117f3e8) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000011 0x00002b4600d356d2 in xdebug_execute (op_array=0x117f3e8) at /usr/local/src/xdebug/xdebug.c:1534
0000012 0x00002b460118abdd in suhosin_execute_ex (op_array=0x117f3e8, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000013 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fffad647c80) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000014 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fffad647c80) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000015 0x00000000007c02e6 in execute (op_array=0x18d82d0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000016 0x00002b4600d356d2 in xdebug_execute (op_array=0x18d82d0) at /usr/local/src/xdebug/xdebug.c:1534
0000017 0x00002b460118abdd in suhosin_execute_ex (op_array=0x18d82d0, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000018 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fffad64bb40) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000019 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fffad64bb40) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000020 0x00000000007c02e6 in execute (op_array=0x1064148) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000021 0x00002b4600d356d2 in xdebug_execute (op_array=0x1064148) at /usr/local/src/xdebug/xdebug.c:1534
0000022 0x00002b460118abdd in suhosin_execute_ex (op_array=0x1064148, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000023 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fffad64c960) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000024 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fffad64c960) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000025 0x00000000007c02e6 in execute (op_array=0x101a4b0) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000026 0x00002b4600d356d2 in xdebug_execute (op_array=0x101a4b0) at /usr/local/src/xdebug/xdebug.c:1534
0000027 0x00002b460118abdd in suhosin_execute_ex (op_array=0x101a4b0, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000028 0x00000000007c0a7f in zend_do_fcall_common_helper_SPEC (execute_data=0x7fffad64cf30) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:234
0000029 0x00000000007c1770 in ZEND_DO_FCALL_BY_NAME_SPEC_HANDLER (execute_data=0x7fffad64cf30) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:322
0000030 0x00000000007c02e6 in execute (op_array=0xf0d0c8) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
0000031 0x00002b4600d356d2 in xdebug_execute (op_array=0xf0d0c8) at /usr/local/src/xdebug/xdebug.c:1534
0000032 0x00002b460118abdd in suhosin_execute_ex (op_array=0xf0d0c8, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000033 0x00000000007c8079 in ZEND_INCLUDE_OR_EVAL_SPEC_CONST_HANDLER (execute_data=0x7fffad64d380) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:2030
0000034 0x00000000007c02e6 in execute (op_array=0xf0b7f8) at /usr/local/src/php-5.2.4/Zend/zend_vm_execute.h:92
#35 0x00002b4600d356d2 in xdebug_execute (op_array=0xf0b7f8) at /usr/local/src/xdebug/xdebug.c:1534
0000036 0x00002b460118abdd in suhosin_execute_ex (op_array=0xf0b7f8, zo=0, dummy=0) at /usr/local/src/suhosin-0.9.20/execute.c:558
0000037 0x0000000000795ebc in zend_execute_scripts (type=8, retval=0x0, file_count=3) at /usr/local/src/php-5.2.4/Zend/zend.c:1215
0000038 0x0000000000732b0b in php_execute_script (primary_file=0x7fffad64fb50) at /usr/local/src/php-5.2.4/main/main.c:2003
0000039 0x000000000081d6cc in main (argc=15, argv=0x7fffad64fd98) at /usr/local/src/php-5.2.4/sapi/cli/php_cli.c:1146
(gdb)
--- snip ---

Funny thing: The file /data/bamboo/build-dir/PHX-TRUNK/Modules/Microblog/Configurations/ClassRegister.php contains only this:
--- snip ---
<?php
--- snip ---

But even with ...
--- snip ---
<?php
?>
--- snip ---
... XDebug crashes PHP for the same reason ...
(0000782)
mhorvath (reporter)
2007-10-29 19:02

Segfault seems to happen at the same line as in Bug 315 ...

http://bugs.xdebug.org/bug_view_page.php?bug_id=0000315 [^]
(0000784)
derick (administrator)
2007-10-29 20:00

Ah thanks mhorvath, with that analysis I could easily reproduce this and address the issue. The fix is in CVS now - could you please all try again?

- Issue History
Date Modified Username Field Change
2007-10-22 11:13 zaa New Issue
2007-10-22 11:25 zaa Note Added: 0000749
2007-10-22 11:46 rwilczek Note Added: 0000750
2007-10-22 11:50 rwilczek Note Edited: 0000750
2007-10-22 19:15 mhorvath Note Added: 0000753
2007-10-22 21:44 derick Note Added: 0000754
2007-10-22 21:44 derick Status new => feedback
2007-10-22 21:53 rwilczek Note Added: 0000755
2007-10-23 01:19 mediaboy Note Added: 0000756
2007-10-25 22:51 derick Note Added: 0000760
2007-10-28 14:14 derick Note Added: 0000774
2007-10-29 13:44 mhorvath Note Added: 0000779
2007-10-29 16:17 mediaboy Note Added: 0000780
2007-10-29 18:58 mhorvath Note Added: 0000781
2007-10-29 19:02 mhorvath Note Added: 0000782
2007-10-29 20:00 derick Status feedback => closed
2007-10-29 20:00 derick Note Added: 0000784
2016-07-31 13:36 derick Category Usage problems => Usage problems (Crashes)
2016-07-31 13:38 derick Category Usage problems (Crashes) => Usage problems (Wrong Results)


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker